using LeafWeb.Core.Entities;

namespace LeafWeb.WebCms.Services.PiscalQueue
{
	public class StartPending : PiscalQueueWorker
	{
		protected override void DoWorkInternal(LeafInput leafInput)
		{
			Logger.DebugFormat("LeafInput: {0}, Run", leafInput.Id);

			PiscalService.Run(leafInput);

			DataService.SetLeafInputStatus(leafInput, LeafInputStatusType.Running, "Starting Piscal", $"{PiscalService.ServiceDescription}");
		}
	}
}